Part Ellipse/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(11 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/it|Name=Part_Ellipse|Name/it=Ellisse|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Ellisse|Workbenches=[[Part Module/it|Parte]], [[OpenSCAD_Module/it|OpenSCAD]]|SeeAlso=..}}


{{Docnav
Crea una ellisse o un settore di ellisse parametrico.
|[[Part_Circle|Circle]]
|[[Part_Point|Point]]
|[[Part_Workbench|Part]]
|IconL=Part_Circle.svg
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
Utilizzare il menu {{KEY/it|[[Image:Part_CreatePrimitives.png|16px]] Crea primitive... → Ellisse}}. Si apre una finestra di dialogo che consente di impostare:
{{GuiCommand/it|Name=Part_Ellipse|Name/it=Ellisse|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Ellisse|Workbenches=[[Part_Workbench/it|Parte]], [[OpenSCAD_Workbench/it|OpenSCAD]]|SeeAlso=[[Part_CreatePrimitives/it|Crea Primitive]]}}
===Primitive Geometriche===
</div>
{|
| [[File:PartEllipsePrimitivesOptions_it.png]]
|
Ellisse
====Parametri====
* {{Parameter|Raggio maggiore}}
* {{Parameter|Raggio minore}}
* {{Parameter|Angolo 1}}
* {{Parameter|Angolo 2}}


====Posizione====
==Descrizione==
Espandere la voce Posizione per stabilire:
* punto di posizionamento nella vista 3D, di default il centro dell'ellisse viene posto nel punto 0,0,0
* direzione dell'asse dell'ellisse, x, y, z o definita dall'utente.
I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.
|}

Al dialogo Create Primitives si accede tramite l'icona [[Part_CreatePrimitives|CreatePrimitives]] [[Image:Part_CreatePrimitives.svg|32px]] situata nel menu Part o tramite la barra degli strumenti Parte, nell'ambiente Parte.


<div class="mw-translate-fuzzy">
Questo comando crea un bordo curvo ellittico. Con i valori di default, il bordo curvo ellittico è chiuso e quindi è una ellisse. Se vengono modificate i valori predefiniti (0 e 360​​) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco ellittico.
Questo comando crea un bordo curvo ellittico. Con i valori di default, il bordo curvo ellittico è chiuso e quindi è una ellisse. Se vengono modificate i valori predefiniti (0 e 360​​) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco ellittico.
</div>

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.

[[Image:Part_Ellipse_Example.png|400px]]

==Utilizzo==

See [[Part_Primitives#Usage|Part Primitives]].

== Example ==

[[Image:Part_Ellipse_Scripting_Example.png|thumb|Part Ellipse from the scripting example]]

A Part Ellipse object created with the [[#Scripting|scripting example]] below is shown here.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Ellipse object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|MajorRadius|Length}}: The major radius of the ellipse or elliptical arc. The default is {{Value|4mm}}.
* {{PropertyData|MinorRadius|Length}}: The minor radius of the ellipse or elliptical arc. The default is {{Value|2mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|0°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If {{PropertyData|Angle1}} and {{PropertyData|Angle2}} are equal, or if one angle is {{Value|0°}} and the other {{Value|360°}}, a full ellipse is created.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipse can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
}}

* Where {{Incode|"myEllipse"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}



{{Docnav
==Proprietà==
|[[Part_Circle|Circle]]
* '''Raggio maggiore:''' il raggio maggiore dell'ellisse, il valore di default è 4
|[[Part_Point|Point]]
* '''Raggio minore:''' il raggio minore dell'ellisse, il valore di default è 2
|[[Part_Workbench|Part]]
* '''Angle 1:''' inizio del bordo dell'ellisse o bordo curvo ellittico, (gradi in senso antiorario), il valore di default è 0
|IconL=Part_Circle.svg
* '''Angle 2:''' fine del bordo dell'ellisse o bordo curvo ellittico, (gradi in senso antiorario), il valore di default è 360
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:26, 3 March 2022

Ellisse

Posizione nel menu
Parte → Crea primitive → Ellisse
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive

Descrizione

Questo comando crea un bordo curvo ellittico. Con i valori di default, il bordo curvo ellittico è chiuso e quindi è una ellisse. Se vengono modificate i valori predefiniti (0 e 360​​) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco ellittico.

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its DatiAngle1 and/or DatiAngle2 properties.

Utilizzo

See Part Primitives.

Example

Part Ellipse from the scripting example

A Part Ellipse object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiMajorRadius (Length): The major radius of the ellipse or elliptical arc. The default is 4mm.
  • DatiMinorRadius (Length): The minor radius of the ellipse or elliptical arc. The default is 2mm.
  • DatiAngle1 (Angle): The start angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is .
  • DatiAngle2 (Angle): The end angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is 360°. If DatiAngle1 and DatiAngle2 are equal, or if one angle is and the other 360°, a full ellipse is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipse can be created with the addObject() method of the document:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()